Upstream-Status: Pending
From 221201109d8543e8cc89a49c6ce344895f6b9409 Mon Sep 17 00:00:00 2001
From: Rohit Athavale <rathaval@xilinx.com>
Date: Mon, 5 Mar 2018 16:03:48 -0800
Subject: [PATCH 127/295] v4l: xilinx-tpg: Add YUV 420 media bus format support
 to TPG driver

This patch updates the TPG IP driver to add support for the newly
created YUV 420 bus format.

Signed-off-by: Rohit Athavale <rathaval@xilinx.com>
Reviewed-by: Hyun Kwon <hyun.kwon@xilinx.com>
Signed-off-by: Michal Simek <michal.simek@xilinx.com>
State: pending
---
 drivers/media/platform/xilinx/xilinx-tpg.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/drivers/media/platform/xilinx/xilinx-tpg.c b/drivers/media/platform/xilinx/xilinx-tpg.c
index e9054948f196..57e6a1f5e853 100644
--- a/drivers/media/platform/xilinx/xilinx-tpg.c
+++ b/drivers/media/platform/xilinx/xilinx-tpg.c
@@ -259,6 +259,9 @@ static int xtpg_s_stream(struct v4l2_subdev *subdev, int enable)
 		u32 fmt = 0;
 
 		switch (xtpg->vip_format->code) {
+		case MEDIA_BUS_FMT_VYYUYY8_1X24:
+			fmt = XTPG_HLS_COLOR_FORMAT_YUV_420;
+			break;
 		case MEDIA_BUS_FMT_UYVY8_1X16:
 			fmt = XTPG_HLS_COLOR_FORMAT_YUV_422;
 			break;
-- 
2.34.1

